@import 'variables';
@import 'mixins';
@import 'base';

.container {
    max-width: $container-max-width;
    margin-left: auto;
    margin-right: auto;
}

.app-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(#000, .5);
}
.app-logo {
    font-size: 1.6rem;
    padding: .5rem 1rem;
    font-weight: 600;
}
.app-navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: white;
    height: 50px;
    .nav-menu {
        @include reset-list;
        display: flex;
        align-items: center;
        .nav-item {
            padding: .5rem .75rem;
            margin-left: .25rem;
            margin-right: .25rem;
        }
    }
}

.app-hero {
    color: white;
    height: 100vh;
    width: 100vw;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url('/dist/img/background.jpeg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    display: flex;
    align-items: center;
    justify-content: center;
    .app-hero-container {
        max-width: 90%;
        max-width: 500px;
        padding: 1.5rem;
        border: 1px solid white;
    }
}

.app-form {
    @include base-form;
}

.app-section {
    margin-top: 4rem;
    .section-title {
        font-size: 1.4rem;
        font-weight: normal;
        margin-top: 0;
        margin-bottom: 1.5rem;
    }
}


/* START .btn */
.btn {
    cursor: pointer;
    border: 1px solid #dadada;
    border-radius: 5px;
    height: 40px;
    box-shadow: none;
    outline: none;
    padding: 0.5rem 1.125rem;
    font-size: 1rem;
}
/* END .btn */


/* START .service */
.service {
    text-align: center;

    &.service-ampliacion .service-icon {
        background-image: url('/dist/img/servicio-ampliacion.png');
    }
    &.service-departamento .service-icon {
        background-image: url('/dist/img/servicio-departamento.png');
    }
    &.service-medida .service-icon {
        background-image: url('/dist/img/servicio-medida.png');
    }
    &.service-soporte .service-icon {
        background-image: url('/dist/img/servicio-soporte.png');
    }

    .service-icon {
        height: 150px;
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
        margin-bottom: 10px;
    }
}
/* END .service */

/* START section-garantias */
.about-us-numbers {
    @include reset-list;
    @include center-content;

    .about-us-number {
        margin-left: .5rem;
        margin-right: .5rem;
        text-align: center;
        padding: 1rem;
        .number, .number-subjects {
            display: block;
        }
         
        .number {
            font-size: 2.5rem;
        }
        .number-subjects {
            margin-top: .25rem;
        }
    }
}

/* END section-garantias */

/* START section-testimonios */
.section-testimonios {
    padding-top: 2rem;
    padding-bottom: 1rem;
    background-color: #444;
    color: white;

    // ENUNCIADO: Utilizados el mismo estilo en los encabezados de la parte de testimonio que en las garantías, pero con un cambio en el color de texto
    .section-title {
        color: white;
    }
}
.clients {
    @include reset-list;
    min-height: 230px;
}

.client {
    .client-image-container {
        width: 160px;
        height: 160px;
        display: inline-block;
        .client-image {
            max-width: 100%;
            max-height: 100%;
        }
    }
}
/* END section-testimonios */

.app-footer {
    width: 100%;
    background-color: #00997a;
    padding: 2rem 0;
    color: white;
    .footer-container {
        display: flex;
        justify-content: space-between;
    }

    .contact-social-medias {
        .contact-social-media {
            font-size: 1.6rem;
        }
    }
}